"""
Copyright 2001-2002 Andrew Jones

This file is part of Pyzzle.

    Pyzzle is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Pyzzle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Pyzzle; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


"""

#nodedata functions
#import $$$$$$$$

class Text:
    def __init__(self, label = None):
        self.label = label
        self.textstring = "No string set!"
        self.fontFile = None
        self.rect = (0, 0, 200, 200)
        self.color = (0, 0, 0)
        self.justification = 0
        
    def setString(self, textstring):
        self.textstring = textstring
        
    def setFont(self, file, size, justification = 0):
        self.fontFile = file
        self.size = size
        self.justification = justification
        
    def setFontFile(self, file):
        self.fontFile = file
        
    def setFontSize(self, size):
        self.size = size
        
    def setJustification(self, justification):
        self.justification = justification
        
    def setRect(self, rect):
        self.rect = rect

    def setColor(self, color):
        self.color = color
        
    def getColor(self):
        return self.color

    def getRect(self):
        return self.rect

    def getString(self):
        return self.textstring

    def getFontSize(self):
        return self.size
    
    def getFontFile(self):
        return self.fontFile
        
    def getJustification(self):
        return self.justification
        
    
        
        
       
